Bug 488080 - Bad version of close signal handler breaks Ekiga, possibly other apps.
Bad version of close signal handler breaks Ekiga, possibly other apps.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libnotify (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 10:18 EST by Alec Leamas
Modified: 2013-03-05 22:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:56:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alec Leamas 2009-03-02 10:18:01 EST
Description of problem:

Version-Release number of selected component (if applicable):libnotify-devel-0.4.4-12.fc10

How reproducible: always

Steps to Reproduce:
1. Compile current svn version of Ekiga.
2. Start Ekiga.
3. Call sip:520@ekiga.net
4. Wait until there's a libnotify message about incoming call.
5  Press "Accept" or "Reject" button.
  
Actual results: Core dumped

Expected results: No coredump, working Ekiga

This depends on the closed signal handler. A patch was introduced upstream (March, 19) to handle an extra parameter to this  handler. This was imported to Fedora in version 0.4.4-12. Since then, upstream has rolled out this change because it breaks applications (Sep, 26 2008). The Fedora files still have the bad definition introduced March, 19. This is what breaks Ekiga, and possibly also other apps.

There's a long thread, partly on this in http://mail.gnome.org/archives/ekiga-list/2009-March/msg00003.html. 

Upstream shortcut: http://cia.vc/stats/project/galago/libnotify
Comment 1 Alec Leamas 2009-03-02 13:28:14 EST
Better pointer to thread: http://mail.gnome.org/archives/ekiga-list/2009-March/msg00032.html
Comment 2 Stephen Moehle 2009-05-10 01:52:33 EDT
The nonstandard closed signal is also breaking trunk Firefox builds as Firefox is now using libnotify. See https://bugzilla.mozilla.org/show_bug.cgi?id=492211.
Comment 3 Bug Zapper 2009-11-18 06:15:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 03:56:15 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.